## fxt 0.3.0

=== kernel/Makefile ===
include Makefile.config

#
# Modify this if you want to build patches yourself
#

PATCH_PREFIX=$(KERN_VERSION)

SYS_PATCH=$(PATCH_PREFIX)/sys.diff
FS_PATCH=$(PATCH_PREFIX)/fs.diff
NET_PATCH=$(PATCH_PREFIX)/net.diff
NETDRIVER_3C59X_PATCH=$(PATCH_PREFIX)/netdriver-3c59x.diff
NETDRIVER_ACENIC_PATCH=$(PATCH_PREFIX)/netdriver-acenic.diff
NETDRIVER_TULIP_PATCH=$(PATCH_PREFIX)/netdriver-tulip.diff
SCSIGEN_PATCH=$(PATCH_PREFIX)/scsigen.diff
FKT_PATCH=$(PATCH_PREFIX)/fkt.diff

APPLY_PATCHES_SCRIPT=apply_patches

PATCHES=$(FKT_PATCH)\
	$(SYS_PATCH)\
	$(FS_PATCH)\
	$(NET_PATCH)\
	$(NETDRIVER_3C59X_PATCH)\
	$(NETDRIVER_ACENIC_PATCH)\
	$(NETDRIVER_TULIP_PATCH)\
	$(SCSIGEN_PATCH)

FKT_KERN_SOURCE=$(shell find linux-fkt -type f ! -path "*/SCCS/*" 2>/dev/null)

LINUX_PATCHES=linux-patches-$(KERN_VERSION)

# some help
help:
	@echo Targets:
	@echo
	@echo "  patches		will make the patches for the different install"
	@echo "			targets below"
	@echo
	@echo "  install-fkt		will install the fkt driver files in directory"
	@echo "			\"$(INSTALL_LINUX_SOURCE)\""
	@echo
	@echo "  install-sys		will patch the kernel to add helper functions and links"
	@echo "			to fkt."
	@echo
	@echo "  install-fs"
	@echo "  install-net"
	@echo "  install-netdriver-3c59x"
	@echo "  install-netdriver-acenic"
	@echo "  install-netdriver-tulip"
	@echo "  install-scsigen	will patch the kernel to add probes to the relevant part"

# System patch, mandatory to get fkt working

$(FKT_PATCH): $(FKT_KERN_SOURCE)
	@echo making $@
	@mkdir -p `dirname $@`
	@mkdir linux
	@diff -urN linux linux-fkt > $@ || /bin/true
	@rmdir linux

$(SYS_PATCH): \
	$(shell find \
		$(LINUX_PATCHES)/arch \
		$(LINUX_PATCHES)/include/linux \
		$(LINUX_PATCHES)/include/asm-i386 \
		$(LINUX_PATCHES)/kernel \
		$(LINUX_PATCHES)/mm \
		$(LINUX_PATCHES)/fs/buffer.c.patch \
		$(LINUX_PATCHES)/fs/exec.c.patch \
		$(LINUX_PATCHES)/fs/read_write-sys.c.patch \
		! -path $(LINUX_PATCHES)/kernel/softirq.c.patch \
		! -path "*/SCCS/*" \
	-type f 2>/dev/null | sort )

# File System patch

$(FS_PATCH): \
	$(shell find \
		$(LINUX_PATCHES)/fs \
		$(LINUX_PATCHES)/drivers/block \
		! -path $(LINUX_PATCHES)/fs/buffer.c.patch \
		! -path $(LINUX_PATCHES)/fs/exec.c.patch \
		! -path $(LINUX_PATCHES)/fs/read_write-sys.c.patch \
		! -path "*/SCCS/*" \
		-type f 2>/dev/null)

# TCP/IP patch

$(NET_PATCH): \
	$(shell find \
		$(LINUX_PATCHES)/net \
		$(LINUX_PATCHES)/kernel/softirq.c.patch \
		$(LINUX_PATCHES)/include/net \
		! -path "*/SCCS/*" \
		-type f 2>/dev/null)

# some network drivers patch

$(NETDRIVER_3C59X_PATCH): $(LINUX_PATCHES)/drivers/net/3c59x.c.patch

$(NETDRIVER_ACENIC_PATCH): $(LINUX_PATCHES)/drivers/net/acenic.c.patch

$(NETDRIVER_TULIP_PATCH): \
	$(shell find \
		$(LINUX_PATCHES)/drivers/net/tulip \
		! -path "*/SCCS/*" \
		-type f 2>/dev/null)

# scsi generic layer patch

$(SCSIGEN_PATCH): \
	$(shell find \
		$(LINUX_PATCHES)/drivers/scsi \
		! -path "*/SCCS/*" \
		-type f 2>/dev/null)

patches: $(PATCHES)

#
# these are the real rules for all .diff targets
#

install-%: $(PATCH_PREFIX)/%.diff
	@echo applying $<
	@(cd $(INSTALL_LINUX_SOURCE) && patch -p1) < $<

%.diff:
	@echo making $@
	@mkdir -p `dirname $@`
	@cat /dev/null $^ > $@

#
# time to clean...
#

clean:
	rm -fr $(KERN_VERSION)

## fxt 0.2.3

=== debian/changelog ===
fxt (0.2.3-1) unstable; urgency=low

  * Initial release (Closes: #658115)

 -- Samuel Thibault <sthibault@debian.org>  Wed, 01 Feb 2012 10:55:23 +0100

=== debian/control ===
Source: fxt
Priority: extra
Maintainer: Samuel Thibault <sthibault@debian.org>
Build-Depends: debhelper (>= 8.0.0), autotools-dev, gawk
Build-Conflicts: binutils-dev
Standards-Version: 3.9.2
Section: libs
Homepage: https://savannah.nongnu.org/p/fkt
Vcs-CVS: :pserver:anonymous@cvs.savannah.nongnu.org:/cvsroot/fkt debian/unstable
Vcs-Browser: http://cvs.savannah.gnu.org/viewvc/debian/unstable/?root=fkt

Package: libfxt-dev
Section: libdevel
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libfxt0 (= ${binary:Version})
Description: Multithreaded tracing library
 FxT is a library and associated tools that can be used to analyze the
 performance of multithreaded programs which can potentially use a
 hybrid thread scheduler (i.e. a user-level scheduler on top of a
 kernel-level one). The Marcel thread library can take full profit from
 this library.
 .
 FxT is based on the offline analysis of traces (sequence of events recorded at
 run time).
 .
 This package contains static libraries and development headers.

Package: libfxt0
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Pre-Depends: multiarch-support
Description: Multithreaded tracing library
 FxT is a library and associated tools that can be used to analyze the
 performance of multithreaded programs which can potentially use a
 hybrid thread scheduler (i.e. a user-level scheduler on top of a
 kernel-level one). The Marcel thread library can take full profit from
 this library.
 .
 FxT is based on the offline analysis of traces (sequence of events recorded at
 run time).
 .
 This package contains shared libraries.

Package: fxt-tools
Section: science
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Multithreaded tracing library
 FxT is a library and associated tools that can be used to analyze the
 performance of multithreaded programs which can potentially use a
 hybrid thread scheduler (i.e. a user-level scheduler on top of a
 kernel-level one). The Marcel thread library can take full profit from
 this library.
 .
 FxT is based on the offline analysis of traces (sequence of events recorded at
 run time).
 .
 This package contains tools.

## fxt 0.2.6

=== debian/changelog ===
fxt (0.2.6-2) unstable; urgency=low

  * control: Restrict architectures to what fxt was ported to.
  * patches/flush.patch: New upstream fix to avoid unexpected stop on automatic
    flush.

 -- Samuel Thibault <sthibault@debian.org>  Fri, 08 Jun 2012 15:54:20 +0200

fxt (0.2.6-1) unstable; urgency=low

  * New upstream release

 -- Samuel Thibault <sthibault@debian.org>  Tue, 10 Apr 2012 10:28:49 +0200

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
 
 Package: libfxt-dev
 Section: libdevel
-Architecture: any
+Architecture: any-amd64 any-i386 any-ia64 any-powerpc
 Depends: ${shlibs:Depends}, ${misc:Depends}, libfxt0 (= ${binary:Version})
 Description: Multithreaded tracing library
  FxT is a library and associated tools that can be used to analyze the
@@ -27,7 +27,7 @@
 
 Package: libfxt0
 Section: libs
-Architecture: any
+Architecture: any-amd64 any-i386 any-ia64 any-powerpc
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Pre-Depends: multiarch-support
 Description: Multithreaded tracing library
@@ -44,7 +44,7 @@
 
 Package: fxt-tools
 Section: science
-Architecture: any
+Architecture: any-amd64 any-i386 any-ia64 any-powerpc
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: Multithreaded tracing library
  FxT is a library and associated tools that can be used to analyze the

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

%:
	dh $@ 

override_dh_auto_configure:
	dh_auto_configure -- --libdir=\$${prefix}/lib/$(DEB_HOST_MULTIARCH)

## fxt 0.2.14

=== debian/changelog ===
fxt (0.2.14-3ubuntu1) trusty; urgency=low

  * Add missing lib to link for arm64.
  * Correct missing format string.

 -- Daniel T Chen <crimsun@ubuntu.com>  Thu, 13 Feb 2014 15:13:57 -0500

fxt (0.2.14-3) unstable; urgency=low

  * Bump Standards-Version to 3.9.5 (no changes).
  * Build-Depend on dh-autoreconf.
  * Pass --with autoreconf to dh (Closes: Bug#727864).

 -- Samuel Thibault <sthibault@debian.org>  Fri, 17 Jan 2014 10:41:09 +0100

fxt (0.2.14-2) unstable; urgency=low

  * Bump Standards-Version to 3.9.4 (no changes).

 -- Samuel Thibault <sthibault@debian.org>  Sat, 13 Jul 2013 19:22:54 +0200

fxt (0.2.14-1) experimental; urgency=low

  * New upstream release.
  * control:
    - Make libfxt0 and libfxt-dev Multi-Arch: same.
    - Make the package arch:any, as there is no strong reason for not being
    able to port to a new arch.

 -- Samuel Thibault <sthibault@debian.org>  Sun, 06 Jan 2013 15:50:37 +0100

fxt (0.2.11-1) experimental; urgency=low

  * New upstream release.
  * patches/flush.patch: Remove upstream patch.

 -- Samuel Thibault <sthibault@debian.org>  Sat, 01 Dec 2012 01:04:51 +0100

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,10 @@
 Source: fxt
 Priority: extra
-Maintainer: Samuel Thibault <sthibault@debian.org>
-Build-Depends: debhelper (>= 8.0.0), autotools-dev, gawk
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Samuel Thibault <sthibault@debian.org>
+Build-Depends: debhelper (>= 8.0.0), dh-autoreconf, gawk, autotools-dev
 Build-Conflicts: binutils-dev
-Standards-Version: 3.9.2
+Standards-Version: 3.9.5
 Section: libs
 Homepage: https://savannah.nongnu.org/p/fkt
 Vcs-CVS: :pserver:anonymous@cvs.savannah.nongnu.org:/cvsroot/fkt debian/unstable
@@ -11,7 +12,8 @@
 
 Package: libfxt-dev
 Section: libdevel
-Architecture: any-amd64 any-i386 any-ia64 any-powerpc
+Architecture: any
+Multi-Arch: same
 Depends: ${shlibs:Depends}, ${misc:Depends}, libfxt0 (= ${binary:Version})
 Description: Multithreaded tracing library
  FxT is a library and associated tools that can be used to analyze the
@@ -27,7 +29,8 @@
 
 Package: libfxt0
 Section: libs
-Architecture: any-amd64 any-i386 any-ia64 any-powerpc
+Architecture: any
+Multi-Arch: same
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Pre-Depends: multiarch-support
 Description: Multithreaded tracing library
@@ -44,7 +47,7 @@
 
 Package: fxt-tools
 Section: science
-Architecture: any-amd64 any-i386 any-ia64 any-powerpc
+Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: Multithreaded tracing library
  FxT is a library and associated tools that can be used to analyze the

=== debian/rules ===
--- 
+++ 
@@ -6,7 +6,7 @@
 DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
 
 %:
-	dh $@ 
+	dh $@ --with autoreconf
 
 override_dh_auto_configure:
 	dh_auto_configure -- --libdir=\$${prefix}/lib/$(DEB_HOST_MULTIARCH)

=== debian/watch ===
version=3

http://download.savannah.gnu.org/releases/fkt/ fxt-(.*)\.tar\.gz

## fxt 0.3.0

=== debian/changelog ===
fxt (0.3.0-1) unstable; urgency=medium

  * New upstream release.

 -- Samuel Thibault <sthibault@debian.org>  Mon, 18 Aug 2014 14:19:40 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,6 @@
 Source: fxt
 Priority: extra
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Samuel Thibault <sthibault@debian.org>
+Maintainer: Samuel Thibault <sthibault@debian.org>
 Build-Depends: debhelper (>= 8.0.0), dh-autoreconf, gawk, autotools-dev
 Build-Conflicts: binutils-dev
 Standards-Version: 3.9.5

## fxt 0.3.1

=== debian/changelog ===
fxt (0.3.1-2) unstable; urgency=medium

  * watch: Generalize URL.
  * control: Drop multiarch-support pre-depend.
  * compat: Bump to 9.
  * rules: Clear.
  * control: Bump Standards-Version to 3.9.8 (no change).
  * patches/format: Fix not using a printf format.

 -- Samuel Thibault <sthibault@debian.org>  Sun, 04 Sep 2016 19:26:50 +0200

fxt (0.3.1-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 3.9.6 (no changes).

 -- Samuel Thibault <sthibault@debian.org>  Fri, 19 Sep 2014 17:37:42 +0200

=== debian/watch ===
version=3

http://download.savannah.gnu.org/releases/fkt/ fxt-(.*)\.(?:zip|tgz|tbz2|txz|tar\.(?:gz|bz2|xz))

## fxt 0.3.2

=== debian/changelog ===
fxt (0.3.2-2) unstable; urgency=medium

  * rules: cat /proc/cpuinfo during dh_auto_test.
  * patches/cpuinfo: Fix crash on short read from /proc/cpuinfo.

 -- Samuel Thibault <sthibault@debian.org>  Mon, 17 Oct 2016 20:06:17 +0200

fxt (0.3.2-1) unstable; urgency=medium

  * New upstream release.
    - patches/format: Merged upstream.
  * watch: Fix to avoid taking old win32 builds.

 -- Samuel Thibault <sthibault@debian.org>  Mon, 17 Oct 2016 17:42:31 +0200

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,9 @@
 Source: fxt
 Priority: extra
 Maintainer: Samuel Thibault <sthibault@debian.org>
-Build-Depends: debhelper (>= 8.0.0), dh-autoreconf, gawk, autotools-dev
+Build-Depends: debhelper (>= 9.0.0), dh-autoreconf, gawk, autotools-dev
 Build-Conflicts: binutils-dev
-Standards-Version: 3.9.5
+Standards-Version: 3.9.8
 Section: libs
 Homepage: https://savannah.nongnu.org/p/fkt
 Vcs-CVS: :pserver:anonymous@cvs.savannah.nongnu.org:/cvsroot/fkt debian/unstable
@@ -31,7 +31,6 @@
 Architecture: any
 Multi-Arch: same
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Pre-Depends: multiarch-support
 Description: Multithreaded tracing library
  FxT is a library and associated tools that can be used to analyze the
  performance of multithreaded programs which can potentially use a

## fxt 0.3.4

=== debian/changelog ===
fxt (0.3.4-1) unstable; urgency=medium

  * New upstream release.

 -- Samuel Thibault <sthibault@debian.org>  Tue, 08 Aug 2017 18:04:01 +0200

fxt (0.3.3-1) experimental; urgency=medium

  * New upstream release.
    - Adds double-buffering.
    - patches/cpuinfo: Drop, merged upstream.

 -- Samuel Thibault <sthibault@debian.org>  Wed, 22 Mar 2017 18:44:21 +0100

## fxt 0.3.7

=== debian/changelog ===
fxt (0.3.7-1) unstable; urgency=medium

  * New upstream release.

 -- Samuel Thibault <sthibault@debian.org>  Wed, 22 Nov 2017 17:06:59 +0100

fxt (0.3.6-1) unstable; urgency=medium

  * New upstream release.

 -- Samuel Thibault <sthibault@debian.org>  Wed, 22 Nov 2017 15:43:04 +0100

fxt (0.3.5-1) unstable; urgency=medium

  * New upstream release.
  * control: Migrate priority to optional.
  * control: Bump Standards-Version to 4.1.1.

 -- Samuel Thibault <sthibault@debian.org>  Wed, 22 Nov 2017 11:37:26 +0100

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,9 @@
 Source: fxt
-Priority: extra
+Priority: optional
 Maintainer: Samuel Thibault <sthibault@debian.org>
 Build-Depends: debhelper (>= 9.0.0), dh-autoreconf, gawk, autotools-dev
 Build-Conflicts: binutils-dev
-Standards-Version: 3.9.8
+Standards-Version: 4.1.1
 Section: libs
 Homepage: https://savannah.nongnu.org/p/fkt
 Vcs-CVS: :pserver:anonymous@cvs.savannah.nongnu.org:/cvsroot/fkt debian/unstable

## fxt 0.3.8

=== debian/changelog ===
fxt (0.3.8-2) unstable; urgency=medium

  * control: Bump Standards-Version to 4.2.0 (no changes).
  * tests/control: Add fxt autopkgtest.
  * pid_overflow: Add upstream patch to fix buffer overflow with 32bit pids
    (Closes: Bug#863926)

 -- Samuel Thibault <sthibault@debian.org>  Sun, 28 Oct 2018 23:35:00 +0100

fxt (0.3.8-1) unstable; urgency=medium

  [ Samuel Thibault ]
  * New upstream release.
  * Use https URL
  * Bump Standards-Version to 4.1.4

  [ Vincent Danjean ]
  * libfxt-dev.examples: install test.c example

 -- Samuel Thibault <sthibault@debian.org>  Tue, 26 Jun 2018 13:24:20 +0200

=== debian/control ===
--- 
+++ 
@@ -3,11 +3,11 @@
 Maintainer: Samuel Thibault <sthibault@debian.org>
 Build-Depends: debhelper (>= 9.0.0), dh-autoreconf, gawk, autotools-dev
 Build-Conflicts: binutils-dev
-Standards-Version: 4.1.1
+Standards-Version: 4.2.0
 Section: libs
 Homepage: https://savannah.nongnu.org/p/fkt
 Vcs-CVS: :pserver:anonymous@cvs.savannah.nongnu.org:/cvsroot/fkt debian/unstable
-Vcs-Browser: http://cvs.savannah.gnu.org/viewvc/debian/unstable/?root=fkt
+Vcs-Browser: https://cvs.savannah.gnu.org/viewvc/debian/unstable/?root=fkt
 
 Package: libfxt-dev
 Section: libdevel

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with autoreconf

override_dh_auto_test:
	-cat /proc/cpuinfo
	dh_auto_test

=== debian/watch ===
version=3

http://download.savannah.gnu.org/releases/fkt/ fxt-([\d.]*)\.(?:zip|tgz|tbz2|txz|tar\.(?:gz|bz2|xz))

## fxt 0.3.9

=== debian/changelog ===
fxt (0.3.9-3) unstable; urgency=medium

  * control: Bump Standards-Version to 4.4.0 (no changes).
  * watch: Generalize pattern.
  * control: Build-depend on help2man.
  * patches/help2man: Generate manpage from help.
  * fxt-tools.manpages: Install generated manpage.

 -- Samuel Thibault <sthibault@debian.org>  Sat, 14 Dec 2019 19:08:58 +0100

fxt (0.3.9-2) unstable; urgency=medium

  * Add missing libfxt-dev.examples file for test for autopkgtest.

 -- Samuel Thibault <sthibault@debian.org>  Thu, 25 Jul 2019 16:54:26 +0200

fxt (0.3.9-1) unstable; urgency=medium

  * New upstream release.
    + allow one to use up to 31 parameters in *PROBE* macros
  * remove applied upstream patch
  * add static library generation (now disabled by default upstream)
  * cleanup packaging
  * add myself as uploader

 -- Vincent Danjean <vdanjean@debian.org>  Fri, 12 Jul 2019 15:04:18 +0200

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,10 @@
 Source: fxt
 Priority: optional
 Maintainer: Samuel Thibault <sthibault@debian.org>
-Build-Depends: debhelper (>= 9.0.0), dh-autoreconf, gawk, autotools-dev
+Uploaders: Vincent Danjean <vdanjean@debian.org>
+Build-Depends: debhelper-compat (=12), gawk, help2man
 Build-Conflicts: binutils-dev
-Standards-Version: 4.2.0
+Standards-Version: 4.4.0
 Section: libs
 Homepage: https://savannah.nongnu.org/p/fkt
 Vcs-CVS: :pserver:anonymous@cvs.savannah.nongnu.org:/cvsroot/fkt debian/unstable
@@ -13,7 +14,7 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: ${shlibs:Depends}, ${misc:Depends}, libfxt0 (= ${binary:Version})
+Depends: ${shlibs:Depends}, ${misc:Depends}, libfxt1 (= ${binary:Version})
 Description: Multithreaded tracing library
  FxT is a library and associated tools that can be used to analyze the
  performance of multithreaded programs which can potentially use a
@@ -26,7 +27,7 @@
  .
  This package contains static libraries and development headers.
 
-Package: libfxt0
+Package: libfxt1
 Section: libs
 Architecture: any
 Multi-Arch: same

## fxt 0.3.11

=== debian/changelog ===
fxt (0.3.11-1) unstable; urgency=medium

  * New upstream release.
    - rename libfxt1 to libfxt2 according to upstream soname bump.
    - patches/help2man: Upstreamed.

 -- Samuel Thibault <sthibault@debian.org>  Thu, 26 Mar 2020 01:44:04 +0100

=== debian/control ===
--- 
+++ 
@@ -14,7 +14,7 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: ${shlibs:Depends}, ${misc:Depends}, libfxt1 (= ${binary:Version})
+Depends: ${shlibs:Depends}, ${misc:Depends}, libfxt2 (= ${binary:Version})
 Description: Multithreaded tracing library
  FxT is a library and associated tools that can be used to analyze the
  performance of multithreaded programs which can potentially use a
@@ -27,7 +27,7 @@
  .
  This package contains static libraries and development headers.
 
-Package: libfxt1
+Package: libfxt2
 Section: libs
 Architecture: any
 Multi-Arch: same

## fxt 0.3.13

=== debian/changelog ===
fxt (0.3.13-1) unstable; urgency=medium

  * New upstream release.

 -- Samuel Thibault <sthibault@debian.org>  Sat, 02 Jan 2021 17:33:55 +0100

fxt (0.3.12-2) unstable; urgency=medium

  * control: Update packaging URL.

 -- Samuel Thibault <sthibault@debian.org>  Thu, 31 Dec 2020 15:17:56 +0100

fxt (0.3.12-1) unstable; urgency=medium

  * New upstream release.
  * control: Bump Standards-Version to 4.5.0 (no change)
  * not-installed: Note that we don't install *.la and fkt tools.

 -- Samuel Thibault <sthibault@debian.org>  Tue, 27 Oct 2020 18:43:41 +0100

=== debian/control ===
--- 
+++ 
@@ -2,13 +2,13 @@
 Priority: optional
 Maintainer: Samuel Thibault <sthibault@debian.org>
 Uploaders: Vincent Danjean <vdanjean@debian.org>
-Build-Depends: debhelper-compat (=12), gawk, help2man
+Build-Depends: debhelper-compat (= 12), gawk, help2man
 Build-Conflicts: binutils-dev
-Standards-Version: 4.4.0
+Standards-Version: 4.5.0
 Section: libs
 Homepage: https://savannah.nongnu.org/p/fkt
-Vcs-CVS: :pserver:anonymous@cvs.savannah.nongnu.org:/cvsroot/fkt debian/unstable
-Vcs-Browser: https://cvs.savannah.gnu.org/viewvc/debian/unstable/?root=fkt
+Vcs-Git: https://salsa.debian.org/debian/fxt.git
+Vcs-Browser: https://salsa.debian.org/debian/fxt
 
 Package: libfxt-dev
 Section: libdevel

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- --enable-static

override_dh_auto_test:
	-cat /proc/cpuinfo
	dh_auto_test

=== debian/watch ===
version=3

http://download.savannah.gnu.org/releases/fkt/ fxt-@ANY_VERSION@@ARCHIVE_EXT@

## fxt 0.3.15

=== debian/changelog ===
fxt (0.3.15-1) unstable; urgency=medium

  * New upstream release
    - patches/arch: Upstreamed.

 -- Samuel Thibault <sthibault@debian.org>  Thu, 08 May 2025 17:09:05 +0200

fxt (0.3.13-4.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1061959

 -- Steve Langasek <vorlon@debian.org>  Sat, 02 Mar 2024 08:02:12 +0000

fxt (0.3.13-4) unstable; urgency=medium

  * rules: Fix FTCBFS: Do not pass host cflags to native build.

 -- Samuel Thibault <sthibault@debian.org>  Tue, 26 Dec 2023 01:26:01 +0100

fxt (0.3.13-3) unstable; urgency=medium

  * patches/arch: Fix building on unknown archs supported by gcc.

 -- Samuel Thibault <sthibault@debian.org>  Mon, 21 Aug 2023 18:52:16 +0200

fxt (0.3.13-2) unstable; urgency=medium

  [ Samuel Thibault ]
  * control: Set Rules-Requires-Root to no.
  * patches/man_noclean: Do not clean the generated manpage.
  * rules: Avoid using help2man when cross-building.
  * control: Bump Standards-Version to 4.6.0 (no change)
  * control: Make Multi-Arch: foreign.

  [ Debian Janitor ]
  * debian/copyright: use spaces rather than tabs to start continuation lines.
  * Use secure URI in debian/watch.
  * Bump debhelper from old 12 to 13.
  * Update standards version to 4.5.1, no changes needed.
  * Remove Section on libfxt2 that duplicates source.

 -- Samuel Thibault <sthibault@debian.org>  Sun, 01 Jan 2023 23:07:45 +0100

=== debian/control ===
--- 
+++ 
@@ -2,9 +2,10 @@
 Priority: optional
 Maintainer: Samuel Thibault <sthibault@debian.org>
 Uploaders: Vincent Danjean <vdanjean@debian.org>
-Build-Depends: debhelper-compat (= 12), gawk, help2man
+Build-Depends: dpkg-dev (>= 1.22.5), debhelper-compat (= 13), gawk, help2man
 Build-Conflicts: binutils-dev
-Standards-Version: 4.5.0
+Rules-Requires-Root: no
+Standards-Version: 4.6.0
 Section: libs
 Homepage: https://savannah.nongnu.org/p/fkt
 Vcs-Git: https://salsa.debian.org/debian/fxt.git
@@ -14,7 +15,7 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: ${shlibs:Depends}, ${misc:Depends}, libfxt2 (= ${binary:Version})
+Depends: ${shlibs:Depends}, ${misc:Depends}, libfxt2t64 (= ${binary:Version})
 Description: Multithreaded tracing library
  FxT is a library and associated tools that can be used to analyze the
  performance of multithreaded programs which can potentially use a
@@ -27,8 +28,10 @@
  .
  This package contains static libraries and development headers.
 
-Package: libfxt2
-Section: libs
+Package: libfxt2t64
+Provides: ${t64:Provides}
+Replaces: libfxt2
+Breaks: libfxt2 (<< ${source:Version})
 Architecture: any
 Multi-Arch: same
 Depends: ${shlibs:Depends}, ${misc:Depends}
@@ -47,6 +50,7 @@
 Package: fxt-tools
 Section: science
 Architecture: any
+Multi-Arch: foreign
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: Multithreaded tracing library
  FxT is a library and associated tools that can be used to analyze the

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_configure:
ifneq ($(DEB_BUILD_ARCH),$(DEB_HOST_ARCH))
	dpkg-architecture -f -a$(DEB_BUILD_ARCH) -c dh_auto_configure --reload-all-buildenv-variables
	dpkg-architecture -f -a$(DEB_BUILD_ARCH) -c dh_auto_build
	dh_auto_clean
endif
	dh_auto_configure -- --enable-static

override_dh_auto_build:
	dh_auto_build -- --assume-new=fxt_print.1

override_dh_auto_test:
	-cat /proc/cpuinfo
	dh_auto_test

override_dh_auto_clean:
	dh_auto_clean
	rm -f tools/fxt_print.1

=== debian/tests/control ===
Depends: libfxt-dev, build-essential, fxt-tools
Tests: fxt
Restrictions: allow-stderr

=== debian/watch ===
version=3

https://download.savannah.gnu.org/releases/fkt/ fxt-@ANY_VERSION@@ARCHIVE_EXT@
